## oslo-sphinx 4.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT

## oslo-sphinx 1.0

=== debian/changelog ===
oslo-sphinx (1.0-2) unstable; urgency=low

  * Cleans correctly (package can be built twice).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2013 19:24:07 +0800

oslo-sphinx (1.0-1) unstable; urgency=low

  * Initial release (Closes: #717809).

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2013 17:57:32 +0800

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-d2to1, python-pbr
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo-sphinx.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo-sphinx.git
Homepage: https://github.com/openstack/oslo.sphinx

Package: python-oslo.sphinx
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: theme and extension support for openstack
 Theme and extension support for Sphinx documentation from the OpenStack
 project.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/oslo.sphinx.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf oslo.sphinx.egg-info

## oslo-sphinx 2.0

=== debian/changelog ===
oslo-sphinx (2.0-0ubuntu2) trusty; urgency=medium

  * python-oslosphinx.install: Install to the right directories.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Mar 2014 09:43:10 -0400

oslo-sphinx (2.0-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control: Rename binary python-osloshinx.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 18 Mar 2014 10:46:47 -0400

oslo-sphinx (1.1-0ubuntu2) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:49:33 +0000

oslo-sphinx (1.1-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Nov 2013 11:31:44 -0500

oslo-sphinx (1.0-0ubuntu1) saucy; urgency=low

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 09 Jul 2013 11:36:54 -0500

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-setuptools, python-all (>= 2.6.6-3~), python-d2to1,
 python-pbr
Standards-Version: 3.9.4

Package: python-oslosphinx
Replaces: python-oslo.sphinx ( << 1.1~)
Breaks: python-oslo.sphinx ( << 1.1~)
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: theme and extension support for openstack
 Theme and extension support for Sphinx documentation 
 from the OpenStack project. 

Package: python-oslo.sphinx
Depends: python-oslosphinx, ${misc:Depends}, ${python:Depends}
Architecture: all
Section: oldlibs
Description: oslo.sphinx transitional dummy package
  This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/a/oslo.sphinx/oslo.sphinx-(.*)\.tar.gz

## oslo-sphinx 2.1.0

=== debian/changelog ===
oslo-sphinx (2.1.0-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Uploading to unstable.

  [ gustavo panizzo ]
  * New upstream release. 

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 10:33:19 +0800

oslo-sphinx (2.0-3) experimental; urgency=medium

  * Fixed license of oslo/sphinx/theme/openstack/static/nature.css which is
    under a BSD-2-clause license (this was previously fixed in Sid).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 05:56:11 +0000

oslo-sphinx (2.0-2) experimental; urgency=medium

  * Packages the oslosphinx/theme folder correctly.

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Mar 2014 14:09:12 +0800

oslo-sphinx (2.0-1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version: is now 3.9.5.
  * Upstream renamed oslo.sphinx into oslosphinx, transitionning
    accordingly (and adding a new package).
  * Removed oslo/sphinx/theme/openstack/static/jquery.tweet.js from
    debian/copyright, because the file is gone upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Mar 2014 15:54:09 +0800

oslo-sphinx (1.0-3) unstable; urgency=medium

  * Fixed license of oslo/sphinx/theme/openstack/static/nature.css which is
    under a BSD-2-clause license. (Closes: #740932).
  * Standards-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 05:49:08 +0000

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: python-d2to1, python-hacking, python-pbr
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo-sphinx.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo-sphinx.git
Homepage: https://github.com/openstack/oslo.sphinx

Package: python-oslosphinx
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}
Description: theme and extension support for openstack
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.

Package: python-oslo.sphinx
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python:Depends}, python-oslosphinx
Description: theme and extension support for openstack - transition package
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This is a dummy transition package.

## oslo-sphinx 2.2.0.0~a3

=== debian/changelog ===
oslo-sphinx (2.2.0.0~a3-1~cloud0) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 13 Sep 2014 03:32:28 -0400

oslo-sphinx (2.2.0.0~a3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before the freeze of Jessie.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Sep 2014 15:06:42 +0800

## oslo-sphinx 2.3.0

=== debian/changelog ===
oslo-sphinx (2.3.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Dec 2014 09:33:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: oslo-sphinx
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>

## oslo-sphinx 2.5.0

=== debian/changelog ===
oslo-sphinx (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Added python-pbr and python-requests as new Depends.
  * Uploading to unstable.
  * Drops python-oslo.sphinx transition package after the release of Jessie.
  * Standards-Version: 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Feb 2015 10:20:53 +0100

oslo-sphinx (2.2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Sep 2014 09:47:25 +0800

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
Build-Depends-Indep: python-hacking,
                     python-requests,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/oslo-sphinx.git
Vcs-Git: git://anonscm.debian.org/openstack/oslo-sphinx.git
Homepage: https://github.com/openstack/oslo.sphinx

Package: python-oslosphinx
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: python-pbr,
         python-requests,
         ${misc:Depends},
         ${python:Depends},
Description: theme and extension support for openstack
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.

## oslo-sphinx 4.3.0

=== debian/changelog ===
oslo-sphinx (4.3.0-1) unstable; urgency=medium

  * Team upload.

  [ David Della Vecchia ]
  * New upstream release (Closes: #820682).
  * d/control: Align depends with upstream.
  * d/p/fix-exception-in-checking-git-remote-url.patch: Removed,
    fixed upstream.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * Added simple Debian test.
  * d/copyright
    - Rearranged order of d/copyright.
    - Added myself of Debian part.
  * Standards-Version is 3.9.8 now (no change).
  * Changed upstream git URL to https schema.

 -- Ondřej Nový <novy@ondrej.org>  Fri, 29 Apr 2016 12:21:43 +0200

oslo-sphinx (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Adding myself to uploaders list.

 -- Ivan Udovichenko <iudovichenko@mirantis.com>  Mon, 04 Apr 2016 11:05:25 +0300

oslo-sphinx (4.0.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align dependencies with upstream.
  * d/gbp.conf: Update debian-branch to debian/liberty.
  * d/control: Update uploaders.

  [ Thomas Goirand ]
  * Add patch to remove google-analytics.com javascript.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Nov 2015 15:02:24 +0100

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-hacking (>= 0.10.0),
                     python-requests (>= 2.8.1),
                     python-six (>= 1.9.0),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/oslo-sphinx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo-sphinx.git
Homepage: https://github.com/openstack/oslo.sphinx

Package: python-oslosphinx
Architecture: all
Depends: python-pbr (>= 1.8),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: theme and extension support for openstack
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

UPSTREAM_GIT = https://github.com/openstack/oslo.sphinx.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf oslo.sphinx.egg-info

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslosphinx; \
		cp -rf oslosphinx/theme $(CURDIR)/debian/python-oslosphinx/usr/lib/python$$pyvers/dist-packages/oslosphinx ; \
	done

=== debian/tests/control ===
Depends: python-oslosphinx
Test-Command: cd "$ADTTMP" ; python -c "import oslosphinx ; print oslosphinx"

## oslo-sphinx 4.7.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.6 # Apache-2.0
-requests!=2.9.0,>=2.8.1 # Apache-2.0
+requests>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
oslo-sphinx (4.7.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 24 Feb 2017 21:42:25 +0000

oslo-sphinx (4.7.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Package missing files (ie: all from oslosphinx/theme was missing).

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Oct 2016 21:16:35 +0200

oslo-sphinx (4.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Rebased d/p/fixed_attribute_error.patch

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Aug 2016 22:40:53 +0200

oslo-sphinx (4.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Rebased d/p/move_theme.patch
  * Added d/p/fixed_attribute_error.patch

 -- Ondřej Nový <onovy@debian.org>  Mon, 18 Jul 2016 21:24:29 +0200

oslo-sphinx (4.4.0-1) experimental; urgency=medium

  * Team upload

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Ondřej Nový ]
  * Added Python3 version
  * Moved theme to python-oslosphinx-common package
  * Bumped openstack-pkg-tools required version to 51
  * Enabled autopkgtest-pkg-python testsuite
  * Use extend-diff-ignore to ignore egg-info
  * Rebased d/p/remove-google-analytics.patch

 -- Ondřej Nový <onovy@debian.org>  Sat, 16 Jul 2016 15:50:43 +0200

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 51~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-hacking,
                     python-requests (>= 2.10.0),
                     python-six (>= 1.9.0),
                     python3-requests (>= 2.10.0),
                     python3-six (>= 1.9.0),
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslosphinx?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-oslosphinx -b debian/newton
Homepage: https://github.com/openstack/oslo.sphinx
Testsuite: autopkgtest-pkg-python

Package: python-oslosphinx
Architecture: all
Depends: python-oslosphinx-common,
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: theme and extension support for openstack - Python 2.7
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the Python 2.7 module.

Package: python3-oslosphinx
Architecture: all
Depends: python-oslosphinx-common,
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: theme and extension support for openstack - Python 3.x
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the Python 3.x module.

Package: python-oslosphinx-common
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Description: theme and extension support for openstack - common
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the common files.

## oslo-sphinx 4.9.0

=== requirements.txt ===
--- 
+++ 
@@ -2,6 +2,6 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr>=1.6 # Apache-2.0
+pbr>=1.8 # Apache-2.0
 requests>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT

## oslo-sphinx 4.10.0

=== requirements.txt ===
--- 
+++ 
@@ -3,5 +3,5 @@
 # process, which may cause wedges in the gate later.
 
 pbr>=1.8 # Apache-2.0
-requests>=2.10.0 # Apache-2.0
+requests!=2.12.2,>=2.10.0 # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
oslo-sphinx (4.10.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 19 Jan 2017 20:08:32 +0000

oslo-sphinx (4.10.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 19 Jan 2017 13:27:31 -0500

oslo-sphinx (4.9.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/p/fixed_attribute_error.patch: Dropped. Fixed upstream.
  * d/p/move_theme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2016 11:08:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: oslo-sphinx
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
            Corey Bryant <corey.bryant@canonical.com>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
            David Della Vecchia <ddv@canonical.com>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 51~),
                python-all,
@@ -17,14 +18,14 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
                python3-sphinx,
-Build-Depends-Indep: python-hacking,
+Build-Depends-Indep: python-hacking (>= 0.10.0),
                      python-requests (>= 2.10.0),
                      python-six (>= 1.9.0),
                      python3-requests (>= 2.10.0),
-                     python3-six (>= 1.9.0),
+                     python3-six (>= 1.9.0)
 Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-oslosphinx?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-oslosphinx -b debian/newton
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/oslo-sphinx
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/oslo-sphinx
 Homepage: https://github.com/openstack/oslo.sphinx
 Testsuite: autopkgtest-pkg-python
 
@@ -35,7 +36,7 @@
          python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: theme and extension support for openstack - Python 2.7
  Theme and extension support for Sphinx documentation from the OpenStack
  project. To use the theme, symply add 'oslosphinx' to the extensions list in
@@ -50,7 +51,7 @@
          python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python3:Depends},
+         ${python3:Depends}
 Description: theme and extension support for openstack - Python 3.x
  Theme and extension support for Sphinx documentation from the OpenStack
  project. To use the theme, symply add 'oslosphinx' to the extensions list in
@@ -60,8 +61,7 @@
 
 Package: python-oslosphinx-common
 Architecture: all
-Depends: ${misc:Depends},
-         ${python:Depends},
+Depends: ${misc:Depends}, ${python:Depends}
 Description: theme and extension support for openstack - common
  Theme and extension support for Sphinx documentation from the OpenStack
  project. To use the theme, symply add 'oslosphinx' to the extensions list in

## oslo-sphinx 4.15.1

=== debian/changelog ===
oslo-sphinx (4.15.1-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Aug 2017 13:43:58 -0400

oslo-sphinx (4.13.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:22:17 +0100

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,19 @@
                dh-python,
                openstack-pkg-tools (>= 51~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
                python3-all,
-               python3-pbr (>= 1.8),
+               python3-pbr (>= 2.0.0),
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-hacking (>= 0.10.0),
-                     python-requests (>= 2.10.0),
+                     python-openstackdocstheme (>= 1.11.0),
+                     python-requests (>= 2.14.2),
                      python-six (>= 1.9.0),
-                     python3-requests (>= 2.10.0),
+                     python3-openstackdocstheme (>= 1.11.0),
+                     python3-requests (>= 2.14.2),
                      python3-six (>= 1.9.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/oslo-sphinx
@@ -32,8 +34,8 @@
 Package: python-oslosphinx
 Architecture: all
 Depends: python-oslosphinx-common,
-         python-pbr (>= 1.8),
-         python-requests (>= 2.10.0),
+         python-pbr (>= 2.0.0),
+         python-requests (>= 2.14.2),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends}
@@ -47,8 +49,8 @@
 Package: python3-oslosphinx
 Architecture: all
 Depends: python-oslosphinx-common,
-         python3-pbr (>= 1.8),
-         python3-requests (>= 2.10.0),
+         python3-pbr (>= 2.0.0),
+         python3-requests (>= 2.14.2),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends}

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://tarballs.openstack.org/oslosphinx/ oslosphinx-(\d.*)\.tar\.gz

## oslo-sphinx 4.18.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
oslo-sphinx (4.18.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:56:01 +0000

oslo-sphinx (4.18.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Removed fixed_attribute_error.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:37:48 +0000

=== debian/control ===
Source: oslo-sphinx
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python-hacking (>= 0.10.0),
 python-openstackdocstheme (>= 1.17.0),
 python-requests (>= 2.14.2),
 python-six,
 python3-hacking (>= 0.10.0),
 python3-requests (>= 2.14.2),
 python3-six,
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/oslo/oslo-sphinx
Vcs-Git: https://anonscm.debian.org/git/openstack/oslo/oslo-sphinx.git
Homepage: https://github.com/openstack/oslo.sphinx
Testsuite: autopkgtest-pkg-python

Package: python-oslosphinx
Architecture: all
Depends:
 python-oslosphinx-common,
 python-pbr (>= 2.0.0),
 python-requests (>= 2.14.2),
 python-six,
 ${misc:Depends},
 ${python:Depends},
Description: theme and extension support for openstack - Python 2.7
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the Python 2.7 module.

Package: python-oslosphinx-common
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
Description: theme and extension support for openstack - common
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the common files.

Package: python3-oslosphinx
Architecture: all
Depends:
 python-oslosphinx-common,
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: theme and extension support for openstack - Python 3.x
 Theme and extension support for Sphinx documentation from the OpenStack
 project. To use the theme, symply add 'oslosphinx' to the extensions list in
 the conf.py file in your Sphinx project.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/oslo.sphinx.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-oslosphinx; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-oslosphinx; \
	done

=== debian/watch ===
version=3
https://github.com/openstack/oslo.sphinx/tags .*/(\d[\d\.]+)\.tar\.gz
